# Class WindowBrowser

#### Implements

- WindowInterface

- Defined in jamespot-user-api/src/window/WindowBrowser.ts:3

##### Index

### Constructors

constructor

### Methods

fetch
getBackendUrl
tooManyRequest

## Constructors

### constructor

- new WindowBrowser(): WindowBrowser

  #### Returns WindowBrowser

## Methods

### fetch

- fetch<T>(url: string, init?: RequestInit): FetchReturnType<T>

  #### Type Parameters

  - T

  #### Parameters

  - url: string
  - `Optional` init: RequestInit

  #### Returns FetchReturnType<T>

  Implementation of WindowInterface.fetch

  - Defined in jamespot-user-api/src/window/WindowBrowser.ts:9

### getBackendUrl

- getBackendUrl(): Promise<string>

  #### Returns Promise<string>

  Implementation of WindowInterface.getBackendUrl

  - Defined in jamespot-user-api/src/window/WindowBrowser.ts:4

### tooManyRequest

- tooManyRequest(): void

  #### Returns void

  Implementation of WindowInterface.tooManyRequest

  - Defined in jamespot-user-api/src/window/WindowBrowser.ts:13